package com.fos.modules.userOrder.bean;

import java.util.List;

import org.hibernate.validator.constraints.NotEmpty;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseBean;
import com.mysql.fabric.xmlrpc.base.Data;

public class UserOrderBean extends BaseBean{
	
	@JSONField(name="orderFoodId")    
	private long orderFoodId;         //orderfood2pre的Id
	
	@JSONField(name="preNum")
	private int preNum;				//用户偏爱数量
	
	@JSONField(name="tasteFoodId")    
	private long tasteFoodId;		//食物口味Id
	
	@JSONField(name="orderId")
	private long orderId;    //订单id
	
    @JSONField(name="foodId")   //订单食物的id
	private long foodId;				
	
    @JSONField(name="preId") 
    private long preId;    // 用户偏好Id
    
    @JSONField(name="foodNum")   //订单食物的数量
	private int foodNum;				
	
	@JSONField(name="taste")   //用户偏爱口味
	private String taste;		
	
	@JSONField(name="id")    // order表里的id   
	private long id;                     
	
	@JSONField(name="nickName")		   //用户昵称
	private String nickName;
	
	@JSONField(name="createTime")   //订单创建时间
	private Data createTime;	    
	
    @JSONField(name="remark")   // 用户评论
	private String remark;		
    
    @JSONField(name="seatNum")  //座位号
	private int seatNum;		
	
	@JSONField(name="userId")  //用户id
	private long userId;	
	
	@JSONField(name="seatId")  //座位id
	private long seatId;	
	
	@JSONField(name="code")  //订单唯一标识
	private String code;    
	
	@JSONField(name="creater")    //订单创建者
	private String creater;
	
	@JSONField(name="count")     //订单次数
	private int count;
	
	@JSONField(name="status")     //订单状态标识
	private int status;
	
	@JSONField(name="name")   //菜品名
	private String name;
	
	//@JSONField(name="classify")
	//private int classify;    // 0:单品	1:套餐
	
	@JSONField(name="foodList")
	private List<VipFoodBean> foodList;       //放食物的list
	
//	@JSONField(name="preferenceList")
	//private List<PreferenceBean> preferenceList;      //用户偏好的list
	
	
	public long getPreId() {
		return preId;
	}
	public int getPreNum() {
		return preNum;
	}
	public void setPreNum(int preNum) {
		this.preNum = preNum;
	}
	public long getOrderFoodId() {
		return orderFoodId;
	}
	public void setOrderFoodId(long orderFoodId) {
		this.orderFoodId = orderFoodId;
	}
	public void setPreId(long preId) {
		this.preId = preId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}

	public int getCount() {
		return count;
	}
	public void setCount(int count) {
		this.count = count;
	}
	public String getCreater() {
		return creater;
	}
	public void setCreater(String creater) {
		this.creater = creater;
	}

	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public long getUserId() {
		return userId;
	}
	public void setUserId(long userId) {
		this.userId = userId;
	}
	public long getSeatId() {
		return seatId;
	}
	public void setSeatId(long seatId) {
		this.seatId = seatId;
	}
	public long getOrderId() {
		return orderId;
	}
	public void setOrderId(long orderId) {
		this.orderId = orderId;
	}
	public long getFoodId() {
		return foodId;
	}
	public void setFoodId(long foodId) {
		this.foodId = foodId;
	}
	public int getFoodNum() {
		return foodNum;
	}
	public void setFoodNum(int foodNum) {
		this.foodNum = foodNum;
	}
	public String getTaste() {
		return taste;
	}
	public void setTaste(String taste) {
		this.taste = taste;
	}
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	public Data getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Data createTime) {
		this.createTime = createTime;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public int getSeatNum() {
		return seatNum;
	}
	public void setSeatNum(int seatNum) {
		this.seatNum = seatNum;
	}
	public List<VipFoodBean> getFoodList() {
		return foodList;
	}
	public void setFoodList(List<VipFoodBean> foodList) {
		this.foodList = foodList;
	}
	public long getTasteFoodId() {
		return tasteFoodId;
	}
	public void setTasteFoodId(long tasteFoodId) {
		this.tasteFoodId = tasteFoodId;
	}



	
	
}
